## com.vividsolutions.jts.algorithm
Class SimplePointInRing

    java.lang.Object
      com.vividsolutions.jts.algorithm.SimplePointInRing

All Implemented Interfaces:
  PointInRing

public class SimplePointInRing
extends java.lang.Object
implements PointInRing

Tests whether a `Coordinate` lies inside a ring, using a linear-time algorithm.

Version:
  1.7

Constructor Summary
`SimplePointInRing(LinearRing ring)`

Method Summary
`boolean` `isInside(Coordinate pt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplePointInRing

    public SimplePointInRing(LinearRing ring)

Method Detail

### isInside

    public boolean isInside(Coordinate pt)

  Specified by:
    `isInside` in interface `PointInRing`